# This is the configuration for the build system

# this is the version string printed during boot.
ROM_VERSION=rev_a_20060926-1

# Uncomment this to see the output from the package builds
#VERBOSE=y

# You probably won't need to change these, unless you are playing with
# LinuxBIOS
LINUXBIOS_CONFIG=Config.SPI.lb
LINUXBIOS_VER=2432
LINUXBIOS_ENABLE_LZMA=y

# Please don't uncomment this unless somebody tells you to
# LINUXBIOS_CAS25=y

# Specify the commandline to use with mkelfimage
COMMAND_LINE=iommu=force console=ttyS0,115200 console=tty0 rdinit=/linuxrc

# Uncomment the packages you want from the following list
# Say 'y' here to build Marcelo's kexec-boot-loader
INITRD_KBL=n

# Say 'y' here to use it as a cheap substitute for kexec-tools
KBL_KEXEC_ONLY=n

# Say 'y' here to build busybox
INITRD_BUSYBOX=y

# Say 'y' here to build wireless tools
#INITRD_WIRELESS=n

# Say 'y' here to build the bootmenu
INITRD_BOOTMENU=n

# Say 'y' here to build the olpcflash utility
INITRD_OLPCFLASH=n

# Uncomment this to enable the FS2 debugger by disabling several fixes in
# LinuxBIOS
#DISABLE_SWAPSIFS=y

###########################################
# You shouldn't change anything under this point
###########################################

ifeq ($(LINUXBIOS_ENABLE_LZMA),y)
PAYLOAD_TARGET=$(OUTPUT_DIR)/olpc-payload.elf.lzma
endif

PAYLOAD-y= uclibc 
PAYLOAD-$(INITRD_KBL) += kexec-boot-loader
PAYLOAD-$(INITRD_BUSYBOX) += busybox
PAYLOAD-$(INITRD_WIRELESS) += wireless-tools
PAYLOAD-$(INITRD_BOOTMENU) += bootmenu
PAYLOAD-$(INITRD_OLPCFLASH) += olpcflash
PAYLOAD-$(INITRD_KEXEC_TOOLS) += kexec-tools

HOSTTOOLS-y = mkelfimage unifdef
HOSTTOOLS-$(LINUXBIOS_ENABLE_LZMA) += lzma
